summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2013-07-11 06:57:18 +0000
committerMichał Górny <mgorny@gentoo.org>2013-07-11 06:57:18 +0000
commit41051b5dea21869d2bcd633948acd5d9604f45ce (patch)
treee30499334e63dbed4f6acf7c820102a7399c05ba /eclass
parentversion bump for bug #476462 (diff)
downloadhistorical-41051b5dea21869d2bcd633948acd5d9604f45ce.tar.gz
historical-41051b5dea21869d2bcd633948acd5d9604f45ce.tar.bz2
historical-41051b5dea21869d2bcd633948acd5d9604f45ce.zip
Add multilib_is_native_abi helper.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/ChangeLog5
-rw-r--r--eclass/multilib-build.eclass18
2 files changed, 21 insertions, 2 deletions
diff --git a/eclass/ChangeLog b/eclass/ChangeLog
index e22202493c54..03b3a50da64e 100644
--- a/eclass/ChangeLog
+++ b/eclass/ChangeLog
@@ -1,6 +1,9 @@
# ChangeLog for eclass directory
# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.874 2013/07/10 17:12:57 robbat2 Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.875 2013/07/11 06:57:18 mgorny Exp $
+
+ 11 Jul 2013; Michał Górny <mgorny@gentoo.org> multilib-build.eclass:
+ Add multilib_is_native_abi helper.
10 Jul 2013; Robin H. Johnson <robbat2@gentoo.org> db.eclass:
Additional change to run tests successfully on newer versions of db
diff --git a/eclass/multilib-build.eclass b/eclass/multilib-build.eclass
index a4b7c012be76..075075b2a26e 100644
--- a/eclass/multilib-build.eclass
+++ b/eclass/multilib-build.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/multilib-build.eclass,v 1.14 2013/06/28 02:37:52 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/multilib-build.eclass,v 1.15 2013/07/11 06:57:18 mgorny Exp $
# @ECLASS: multilib-build.eclass
# @MAINTAINER:
@@ -338,5 +338,21 @@ multilib_install_wrappers() {
fi
}
+# @FUNCTION: multilib_is_native_abi
+# @DESCRIPTION:
+# Determine whether the currently built ABI is the profile native.
+# Return true status (0) if that is true, otherwise false (1).
+#
+# This is often useful for configure calls when some of the options are
+# supposed to be disabled for multilib ABIs (like those used for
+# executables only).
+multilib_is_native_abi() {
+ debug-print-function ${FUNCNAME} "${@}"
+
+ [[ ${#} -eq 0 ]] || die "${FUNCNAME}: too many arguments"
+
+ [[ ${ABI} == ${DEFAULT_ABI} ]]
+}
+
_MULTILIB_BUILD=1
fi